Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.tax
Class TaxUserException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.beasys.commerce.foundation.exception.ApplicationException
                  com.beasys.commerce.ebusiness.tax.TaxException
                      com.beasys.commerce.ebusiness.tax.TaxUserException

All Implemented Interfaces
  MessageCatalogException, Serializable

Deprecated

    @Deprecated
    public class TaxUserException

extends TaxException

See Also
  Serialized Form

Field Summary

Fields inherited from class com.beasys.commerce.foundation.exception.ApplicationException
`embeddedException, logMessages, userMessages`

Constructor Summary
`TaxUserException(String nameSpace, String messageKey)` Deprecated
`TaxUserException(String nameSpace, String messageKey, Exception exception)` Deprecated
`TaxUserException(String nameSpace, String messageKey, Object argument)` Deprecated
`TaxUserException(String nameSpace, String messageKey, Object[] arguments)` Deprecated
`TaxUserException(String nameSpace, String messageKey, Object[] arguments, Exception exception)` Deprecated
`TaxUserException(String nameSpace, String messageKey, Object argument, Exception exception)` Deprecated

Method Summary

Methods inherited from class com.beasys.commerce.ebusiness.tax.TaxException
`getMessageKey, getNameSpace`

Methods inherited from class com.beasys.commerce.foundation.exception.ApplicationException
`addLogMessage, addLogMessage, addLogMessage, addMessage, addMessage, addMessage, addUserMessage, addUserMessage, addUserMessage, getEmbeddedException, getLocalizedMessage, getLogMessage, getLogMessages, getMessage, getUserMessage, getUserMessages, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TaxUserException

    public TaxUserException(String nameSpace,
                            String messageKey)

  Deprecated

### TaxUserException

    public TaxUserException(String nameSpace,
                            String messageKey,
                            Exception exception)

  Deprecated

### TaxUserException

    public TaxUserException(String nameSpace,
                            String messageKey,
                            Object argument)

  Deprecated

### TaxUserException

    public TaxUserException(String nameSpace,
                            String messageKey,
                            Object argument,
                            Exception exception)

  Deprecated

### TaxUserException

    public TaxUserException(String nameSpace,
                            String messageKey,
                            Object[] arguments)

  Deprecated

### TaxUserException

    public TaxUserException(String nameSpace,
                            String messageKey,
                            Object[] arguments,
                            Exception exception)

  Deprecated

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.